#include <bits/stdc++.h>
#include "partition.h"
using namespace std;

vector<int> solve(vector<int> A) {
	int n=A.size();
	int sum=0;
	vector<int>ans;
	for(int i=0; i<(n+1)/2-1; i++){
		ans.push_back(i);
	}
	ans.push_back(n-1);
	for(int i=(n+1)/2-1; i<n-1; i++){
		ans.push_back(i);
	}
	return ans;
}